EqualJumpsBinomialTree< T > Class Template Reference
Lattice methods

Base class for equal jumps binomial tree. More...

`#include <ql/methods/lattices/binomialtree.hpp>`

Inheritance diagram for EqualJumpsBinomialTree< T >:
[legend]

## Public Member Functions

| EqualJumpsBinomialTree (const ext::shared_ptr< StochasticProcess1D > &process, Time end, Size steps)
Real | underlying (Size i, Size index) const
Real | probability (Size, Size, Size branch) const
Public Member Functions inherited from BinomialTree< T >
| BinomialTree (const ext::shared_ptr< StochasticProcess1D > &process, Time end, Size steps)
Size | size (Size i) const
Size | descendant (Size, Size index, Size branch) const
Public Member Functions inherited from Tree< T >
| Tree (Size columns)
Size | columns () const

## Protected Attributes

Real | dx_
Real | pu_
Real | pd_
Protected Attributes inherited from BinomialTree< T >
Real | x0_
Real | driftPerStep_
Time | dt_

## Additional Inherited Members

Public Types inherited from BinomialTree< T >
enum | Branches { branches = 2 }
Protected Member Functions inherited from CuriouslyRecurringTemplate< T >
T & | impl ()
const T & | impl () const

## Detailed Description

### template<class T>
class QuantLib::EqualJumpsBinomialTree< T >

Base class for equal jumps binomial tree.